
# Rapla2Kustom

Get your DHBW curriculum directly on your homescreen.


Installation:




Get KWLP or KWGT:

To show the information on the homescreen you can either use KWLP (to have a customizable live wallpaper that you can theme amazingly) 
or KWGT if you just want to have a single widget for this information.

Download the choosen app from [here](https://help.kustom.rocks/s1-general/knowledgebase/c9-downloads) or from the play store (may need a payment): [KWLP](https://play.google.com/store/apps/details?id=org.kustom.wallpaper&hl=en&gl=US), [KWGT](https://play.google.com/store/apps/details?id=org.kustom.widget&hl=en&gl=US).

This example will show you how to setup the curriculum with KWGT, for KWLP the process is very similar.


1. Add a widget of KWGT to you launchers homescreen. 
2. Click on this widget to go to KWGT.
3. Click on create to start editing the widget.
4. Paste the following text into the app to get the component for showing the curriculum.


<details>
<summary>The code to copy and paste</summary>
<p>

```
##KUSTOMCLIP##
{
  "clip_version": 1,
  "clip_cut": [],
  "clip_modules": [
    {
      "internal_type": "KomponentModule",
      "globals_list": {
        "testc": {
          "index": 1,
          "type": "COLOR",
          "title": "testc",
          "description": "",
          "global_formula": "",
          "value": "#FFFFFFFF"
        },
        "namec": {
          "index": 2,
          "type": "COLOR",
          "title": "namec",
          "global_formula": "$br(colorconsistency, background)$",
          "value": "#FF9CB596"
        },
        "datec": {
          "index": 3,
          "type": "COLOR",
          "title": "datec",
          "description": "",
          "global_formula": "",
          "value": "#FFC7C7C7"
        },
        "backgrou": {
          "index": 4,
          "type": "COLOR",
          "title": "backgrou",
          "global_formula": "$ce(br(colorconsistency, foreground),alpha,70)$",
          "value": "#80000000"
        },
        "pastdays": {
          "index": 5,
          "type": "TEXT",
          "title": "pastDays",
          "description": "for regex",
          "global_formula": "",
          "value": "$fl(1, 5, \"i + 1\", \"df(dd/MM, r + i + d)\" , \"| \")$"
        }
      },
      "internal_toggles": {
        "config_visible": 10
      },
      "internal_formulas": {
        "config_visible": "$if((mi(artist) \u003d \"\" | mi(state) !\u003d PLAYING) \u0026 br(qvalentin, rapla-active) \u003d \"True\", ALWAYS, NEVER)$"
      },
      "position_anchor": "TOP",
      "position_padding_top": 375.0,
      "viewgroup_items": [
        {
          "internal_globals": {
            "paint_color": "backgrou"
          },
          "internal_toggles": {
            "paint_color": 100
          },
          "internal_type": "ShapeModule",
          "shape_height": 1080.0,
          "shape_width": 720.0,
          "shape_type": "RECT",
          "position_anchor": "TOP"
        },
        {
          "internal_type": "TextModule",
          "position_anchor": "TOP",
          "text_expression": "$tc(reg,tc(reg,br(qvalentin, rapla),df(dd/MM/yyyy),\"[u]\"+df(dd/MM/yyyy)+\"[/u]\"),\"\\[c\u003d.*c\\].*(\"+gv(pastDays)+\").*\\n\",\"\")$",
          "text_size": 25.0,
          "paint_color": "#FFAEAEAE",
          "text_size_type": "FIXED_WIDTH",
          "text_width": 720.0
        },
        {
          "internal_type": "TextModule",
          "text_expression": "$br(foo, myvar2)$",
          "paint_color": "#FFFF0000",
          "position_anchor": "TOP"
        },
        {
          "internal_type": "FontIconModule",
          "icon_icon": "update",
          "position_anchor": "TOPRIGHT",
          "internal_events": [
            {
              "type": "SINGLE_TAP",
              "action": "LAUNCH_ACTIVITY",
              "intent": "intent:#Intent;component\u003dde.qvalentin.rapla2kustom/.ToKserviceStarter;S.org.kustom.intent.label\u003dRapla2Kustom;end"
            }
          ]
        },
        {
          "internal_type": "FontIconModule",
          "icon_icon": "web",
          "position_anchor": "TOPRIGHT",
          "internal_events": [
            {
              "type": "SINGLE_TAP",
              "action": "OPEN_LINK",
              "url": "https://rapla.dhbw-karlsruhe.de/rapla?page\u003dcalendar\u0026user\u003dbraun\u0026file\u003dTINF19B2\u0026day\u003d5\u0026month\u003d2\u0026year\u003d2020\u0026today\u003dHeute"
            }
          ],
          "position_padding_top": 125.0
        }
      ]
    }
  ]
}
##KUSTOMCLIP##
\```

</p>
</details>  


5. Save the widget.


6. Go to the Rapla2Kustom app
7. Change the "Force a refresh" toggle to true. 
8. Click on "Sync now".
9. The info shoud be shown on the widget now.
11. Adjust the courses you want to ignore (who likes BWL anyway?) by adding them to the comma seperated list.
10. When everything is working you can set "Force a refresh" to false again.
